# TdApi.GetMessageLink (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: GetMessageLink

Package it.tdlight.jni

# Class TdApi.GetMessageLink

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function
it.tdlight.jni.TdApi.GetMessageLink

Enclosing class:
  TdApi

    public static class TdApi.GetMessageLink
    extends TdApi.Function

Returns an HTTPS link to a message in a chat. Available only for already sent messages in supergroups and channels, or if message.canGetMediaTimestampLinks and a media timestamp link is generated. This is an offline request.

Returns `MessageLink`

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`long` | `chatId` | Identifier of the chat to which the message belongs.
`static int` | `CONSTRUCTOR` |
`boolean` | `forAlbum` | Pass true to create a link for the whole media album.
`boolean` | `forComment` | Pass true to create a link to the message as a channel post comment, or from a message thread.
`int` | `mediaTimestamp` | If not 0, timestamp from which the video/audio/video note/voice note playing must start, in seconds.
`long` | `messageId` | Identifier of the message.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`GetMessageLink()` | Returns an HTTPS link to a message in a chat.
`GetMessageLink​(long chatId, long messageId, int mediaTimestamp, boolean forAlbum, boolean forComment)` | Returns an HTTPS link to a message in a chat.
`GetMessageLink​(DataInput input)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatId

public long chatId
Identifier of the chat to which the message belongs.

### messageId

public long messageId
Identifier of the message.

### mediaTimestamp

public int mediaTimestamp
If not 0, timestamp from which the video/audio/video note/voice note playing must start, in seconds. The media can be in the message content or in its web page preview.

### forAlbum

public boolean forAlbum
Pass true to create a link for the whole media album.

### forComment

public boolean forComment
Pass true to create a link to the message as a channel post comment, or from a message thread.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### GetMessageLink

public GetMessageLink()
Returns an HTTPS link to a message in a chat. Available only for already sent messages in supergroups and channels, or if message.canGetMediaTimestampLinks and a media timestamp link is generated. This is an offline request.

Returns `MessageLink`

### GetMessageLink

public GetMessageLink​(long chatId, long messageId, int mediaTimestamp, boolean forAlbum, boolean forComment)
Returns an HTTPS link to a message in a chat. Available only for already sent messages in supergroups and channels, or if message.canGetMediaTimestampLinks and a media timestamp link is generated. This is an offline request.

Returns `MessageLink`

Parameters:
  `chatId` - long Identifier of the chat to which the message belongs.
  `messageId` - long Identifier of the message.
  `mediaTimestamp` - int If not 0, timestamp from which the video/audio/video note/voice note playing must start, in seconds. The media can be in the message content or in its web page preview.
  `forAlbum` - boolean Pass true to create a link for the whole media album.
  `forComment` - boolean Pass true to create a link to the message as a channel post comment, or from a message thread.

### GetMessageLink

public GetMessageLink​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`